{
  "compilerOptions": {
    "target": "esnext",
    "module": "node16",
    "noImplicitAny": false,
    "useDefineForClassFields": true,
    "moduleResolution": "nodenext",
    "strict": true,
    "jsx": "preserve",
    "sourceMap": true,
    "resolveJsonModule": true,
    "isolatedModules": true,
    "esModuleInterop": true,
    "skipLibCheck": true,
    "importHelpers": true,
    "strictFunctionTypes": false,
    "allowSyntheticDefaultImports": true,
    "forceConsistentCasingInFileNames": true,
    "allowJs": false,
    // "incremental": true,
    "lib": [
      "esnext",
      "dom",
      "ES6"
    ],
    "baseUrl": ".",
    "paths": {
      "@/*": [
        "src/*"
      ]
    }
  },
  "include": [
    "packages",
    "typings"
  ],
  "exclude": [
    "node_modules",
    "**/dist",
    "**/__tests__/**/*",
    "**/test/**",
    "**/tests/**"
  ],
  "files": [],
  "references": [
    {
      "path": "./tsconfig.node.json"
    },
    {
      "path": "./tsconfig.app.json"
    }
  ]
}